Refactor updateRequest to fetch full text for responseContent and requestPostData
updateRequest method in requests-menu-view.js should fetch full text for responseContent and requestPostData, this task is going to refactor this function and fix broken mochitest.